gr::satellites::u482c_encode_impl Class Reference

`#include <u482c_encode_impl.h>`

Inheritance diagram for gr::satellites::u482c_encode_impl:

## Public Member Functions

| u482c_encode_impl (bool convolutional, bool scrambler, bool rs, int preamble_len, bool flags_in_golay)
| ~u482c_encode_impl () override
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items) override
void | msg_handler (const pmt::pmt_t &pmt_msg)

## Additional Inherited Members

Public Types inherited from gr::satellites::u482c_encode
typedef std::shared_ptr< u482c_encode > | sptr
Static Public Member Functions inherited from gr::satellites::u482c_encode
static sptr | make (bool convolutional, bool scrambler, bool rs, int preamble_len, bool flags_in_golay)
| Create a U482C Encoder.

## Constructor & Destructor Documentation

## u482c_encode_impl()

gr::satellites::u482c_encode_impl::u482c_encode_impl | ( | bool | convolutional,
|  | bool | scrambler,
|  | bool | rs,
|  | int | preamble_len,
|  | bool | flags_in_golay )

## ~u482c_encode_impl()

gr::satellites::u482c_encode_impl::~u482c_encode_impl | ( |  | ) |

override

## Member Function Documentation

## msg_handler()

void gr::satellites::u482c_encode_impl::msg_handler | ( | const pmt::pmt_t & | pmt_msg | ) |

## work()

int gr::satellites::u482c_encode_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

override

The documentation for this class was generated from the following file:

- u482c_encode_impl.h